%define	distversion	%(. /etc/os-release 2>/dev/null ; echo $VERSION)

Summary:	PLD Linux prelogin message and identification file
Summary(de.UTF-8):	PLD Linux Systemidentifikationsdatei
Summary(es.UTF-8):	Mensaje pre-entrada y fichero de identificación del sistema de PLD Linux
Summary(fr.UTF-8):	Message d'identification du système avant la connexion de PLD Linux
Summary(it.UTF-8):	Messaggio di identificazione prima del login di PLD Linux
Summary(ja.UTF-8):	PLD Linux の ログイン前に表示されるメッセージとシステム情報のファイル
Summary(pl.UTF-8):	Plik identyfikujący system PLD Linux, wyświetlany przed zalogowaniem
Summary(pt.UTF-8):	Mensagem anteriores ao login e arquivo de identificaçăo do PLD Linux
Summary(ru.UTF-8):	Файл идентификации, содержащий сообщение, выдаваемым перед приглашением в систему PLD Linux
Name:		issue-pure
Version:	3.0
Release:	8
License:	GPL
Group:		Base
BuildRequires:	pld-release >= 3.0
%requires_eq	pld-release
Provides:	issue = %{version}-%{release}
Conflicts:	issue-alpha < 3.0-1
Conflicts:	issue-fancy < 3.0-1
Conflicts:	issue-logo < 3.0-1
Conflicts:	issue-nice < 3.0-1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PLD Linux prelogin message and identification file.

%description -l de.UTF-8
PLD Linux Systemidentifikationsdatei.

%description -l es.UTF-8
Mensaje pre-entrada y fichero de identificación del sistema de
PLD Linux.

%description -l fr.UTF-8
Message d'identification du système avant la connexion de PLD Linux.

%description -l it.UTF-8
Messaggio di identificazione prima del login di PLD Linux.

%description -l ja.UTF-8
PLD Linux の ログイン前に表示されるメッセージとシステム情報のファイル。

%description -l pl.UTF-8
Plik identyfikujący system PLD Linux, wyświetlany przed zalogowaniem.

%description -l pt.UTF-8
Mensagem anteriores ao login e arquivo de identificaçăo do PLD Linux.

%description -l ru.UTF-8
Файл идентификации, содержащий сообщение, выдаваемым перед
приглашением в систему PLD Linux.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

cat > $RPM_BUILD_ROOT%{_sysconfdir}/issue <<EOF
PLD Linux %{distversion} \m, \r
Welcome to \n
\u user(s)

EOF
echo -ne "\l " >> $RPM_BUILD_ROOT%{_sysconfdir}/issue

cat > $RPM_BUILD_ROOT%{_sysconfdir}/issue.net <<EOF
PLD Linux %{distversion} %m, %r
Welcome to %h

EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%config(noreplace) %{_sysconfdir}/issue*
%changelog
* Sun Jan 29 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/issue-pure.git;a=log;h=master

* Sun Jan 29 2017 Jan Rękorajski <baggins@pld-linux.org> 2b3e179
- release 8 (by relup.sh)

* Sat Dec 06 2014 Jan Rękorajski <baggins@pld-linux.org> f11b8a1
- release 7 (by relup.sh)

* Sat Dec 06 2014 Jan Rękorajski <baggins@pld-linux.org> 7bf0b6e
- release 6 (by relup.sh)

* Tue Dec 31 2013 Jan Rękorajski <baggins@pld-linux.org> ba0af74
- release 5 (by relup.sh)

* Tue Dec 31 2013 Jan Rękorajski <baggins@pld-linux.org> 27ddad7
- release 4 (by relup.sh)

* Wed Jul 03 2013 Jan Rękorajski <baggins@pld-linux.org> 8135d6d
- versioned P:issue
- rel 3

* Sun Jun 16 2013 Jan Rękorajski <baggins@pld-linux.org> 16a3829
- fixed version, only use /etc/os-release for generating issue file

* Sun Jun 16 2013 Jan Rękorajski <baggins@pld-linux.org> ed6964b
- finally fixed the case when file is unreadable

* Sun Jun 16 2013 Jan Rękorajski <baggins@pld-linux.org> d987607
- more fixing getting distversion

* Sun Jun 16 2013 Jan Rękorajski <baggins@pld-linux.org> f8bc0ed
- fix getting distversion

* Sun Jun 16 2013 Jan Rękorajski <baggins@pld-linux.org> 4019754
- {pld,os}-release moved to separate package, update BRs accordingly
- all version/name data taken out from /etc/os-release at build time
- proper summary/description
- rel 2

* Tue Aug 21 2012 Jan Rękorajski <baggins@pld-linux.org> 58fbe23
- Use canonical short url for BUG_REPORT_URL

* Tue Aug 21 2012 Jan Rękorajski <baggins@pld-linux.org> d25849a
- Conflicts tag need a release

* Tue Aug 21 2012 Jan Rękorajski <baggins@pld-linux.org> 52cb4b0
- Added BUG_REPORT_URL to /etc/os-release

* Mon Aug 20 2012 Jan Rękorajski <baggins@pld-linux.org> d389844
- Change version to 3.0 and add snap bcond

* Thu Feb 16 2012 Jan Rękorajski <baggins@pld-linux.org> 7ef7e2e
- relup
- drop foreign obsoletes
- add /etc/os-release (http://www.freedesktop.org/software/systemd/man/os-release.html)

* Wed Aug 08 2007 Patryk Zawadzki <patrys@room-303.com> d1b8390
- add conflicts where affected
- add P/O issue-package
- rel up

* Mon Aug 06 2007 Patryk Zawadzki <patrys@room-303.com> c313910
- don't obsolete valid packages

* Wed Jul 04 2007 Paweł Gołaszewski <blues@pld-linux.org> ea85b04
- rel. 4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 47cba18
- tabs in preamble

